> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders

> Returns a list of Orders.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/orders
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders:
    get:
      tags:
        - Order
      summary: List Orders
      description: Returns a list of Orders.
      operationId: listOrders
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: dolor
        - name: sort
          in: query
          description: >-
            A comma-separated list of fields to sort. Multiple allowed. Prefix
            with `-` to sort descending.
          schema:
            enum:
              - placed_at
              - created_at
            type: string
            description: >-
              A comma-separated list of fields to sort. Multiple allowed. Prefix
              with `-` to sort descending.
            example: placed_at
          example: placed_at
        - name: filter[uuid]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
          example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
        - name: filter[status]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: processing,completed,cancelled
          example: processing,completed,cancelled
        - name: filter[purchasable_uuid]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
          example: 4cdf32b8-47e2-4714-88b4-9ab307a097f9
        - name: filter[purchasable_type]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: some_type
          example: some_type
        - name: filter[placed_at]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: '2023-10-07T12:16:27+00:00'
          example: '2023-10-07T12:16:27.0000000+00:00'
        - name: filter[reference_id]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: some_reference_id
          example: some_reference_id
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 4b059d56-04bd-3a7c-a523-02c062665378
                        status:
                          type: string
                          example: draft
                        placed_at:
                          type: string
                          example: '2025-06-11T16:04:44+00:00'
                        expires_at:
                          type: string
                          example: '2026-03-11T14:05:30+00:00'
                        sub_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '9662.00'
                            amount_minor:
                              type: integer
                              example: 966200
                        discount_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        tax_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        credits_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '9662.00'
                            amount_minor:
                              type: integer
                              example: 966200
                        remaining_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '9662.00'
                            amount_minor:
                              type: integer
                              example: 966200
                        total_before_tax:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '9662.00'
                            amount_minor:
                              type: integer
                              example: 966200
                        tax_breakdown:
                          type: array
                          items:
                            type: object
                            properties:
                              amount:
                                type: object
                                properties:
                                  currency:
                                    type: string
                                    example: USD
                                  amount:
                                    type: string
                                    example: '0.00'
                                  amount_minor:
                                    type: integer
                                    example: 0
                              code:
                                type: string
                                example: Test Tax
                              name:
                                type: string
                                example: some-tax
                              rate:
                                type: integer
                                example: 10
                              calculator_type:
                                type: string
                                example: percent
                          example:
                            - amount:
                                currency: USD
                                amount: '0.00'
                                amount_minor: 0
                              code: Test Tax
                              name: some-tax
                              rate: 10
                              calculator_type: percent
                        discount_breakdown:
                          type: array
                          items:
                            type: object
                            properties:
                              amount:
                                type: object
                                properties:
                                  currency:
                                    type: string
                                    example: USD
                                  amount:
                                    type: string
                                    example: '0.00'
                                  amount_minor:
                                    type: integer
                                    example: 0
                              code:
                                type: string
                                example: Test Discount
                              name:
                                type: string
                                example: some-discount
                              rate:
                                type: integer
                                example: 10
                              calculator_type:
                                type: string
                                example: percent
                          example:
                            - amount:
                                currency: USD
                                amount: '0.00'
                                amount_minor: 0
                              code: Test Discount
                              name: some-discount
                              rate: 10
                              calculator_type: percent
                    example:
                      - uuid: 4b059d56-04bd-3a7c-a523-02c062665378
                        status: draft
                        placed_at: '2025-06-11T16:04:44+00:00'
                        expires_at: '2026-03-11T14:05:30+00:00'
                        sub_total:
                          currency: USD
                          amount: '9662.00'
                          amount_minor: 966200
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        tax_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        credits_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '9662.00'
                          amount_minor: 966200
                        remaining_total:
                          currency: USD
                          amount: '9662.00'
                          amount_minor: 966200
                        total_before_tax:
                          currency: USD
                          amount: '9662.00'
                          amount_minor: 966200
                        tax_breakdown:
                          - amount:
                              currency: USD
                              amount: '0.00'
                              amount_minor: 0
                            code: Test Tax
                            name: some-tax
                            rate: 10
                            calculator_type: percent
                        discount_breakdown:
                          - amount:
                              currency: USD
                              amount: '0.00'
                              amount_minor: 0
                            code: Test Discount
                            name: some-discount
                            rate: 10
                            calculator_type: percent
                      - uuid: 67fa6c6f-4573-3fc7-8230-798493c16b24
                        status: draft
                        placed_at: '2025-11-21T06:30:35+00:00'
                        expires_at: '2026-03-11T14:05:30+00:00'
                        sub_total:
                          currency: USD
                          amount: '4303.00'
                          amount_minor: 430300
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        tax_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        credits_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        total:
                          currency: USD
                          amount: '4303.00'
                          amount_minor: 430300
                        remaining_total:
                          currency: USD
                          amount: '4303.00'
                          amount_minor: 430300
                        total_before_tax:
                          currency: USD
                          amount: '4303.00'
                          amount_minor: 430300
                        tax_breakdown:
                          - amount:
                              currency: USD
                              amount: '0.00'
                              amount_minor: 0
                            code: Test Tax
                            name: some-tax
                            rate: 10
                            calculator_type: percent
                        discount_breakdown:
                          - amount:
                              currency: USD
                              amount: '0.00'
                              amount_minor: 0
                            code: Test Discount
                            name: some-discount
                            rate: 10
                            calculator_type: percent
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 4b059d56-04bd-3a7c-a523-02c062665378
                      status: draft
                      placed_at: '2025-06-11T16:04:44+00:00'
                      expires_at: '2026-03-11T14:05:30+00:00'
                      sub_total:
                        currency: USD
                        amount: '9662.00'
                        amount_minor: 966200
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      tax_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      credits_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '9662.00'
                        amount_minor: 966200
                      remaining_total:
                        currency: USD
                        amount: '9662.00'
                        amount_minor: 966200
                      total_before_tax:
                        currency: USD
                        amount: '9662.00'
                        amount_minor: 966200
                      tax_breakdown:
                        - amount:
                            currency: USD
                            amount: '0.00'
                            amount_minor: 0
                          code: Test Tax
                          name: some-tax
                          rate: 10
                          calculator_type: percent
                      discount_breakdown:
                        - amount:
                            currency: USD
                            amount: '0.00'
                            amount_minor: 0
                          code: Test Discount
                          name: some-discount
                          rate: 10
                          calculator_type: percent
                    - uuid: 67fa6c6f-4573-3fc7-8230-798493c16b24
                      status: draft
                      placed_at: '2025-11-21T06:30:35+00:00'
                      expires_at: '2026-03-11T14:05:30+00:00'
                      sub_total:
                        currency: USD
                        amount: '4303.00'
                        amount_minor: 430300
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      tax_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      credits_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      total:
                        currency: USD
                        amount: '4303.00'
                        amount_minor: 430300
                      remaining_total:
                        currency: USD
                        amount: '4303.00'
                        amount_minor: 430300
                      total_before_tax:
                        currency: USD
                        amount: '4303.00'
                        amount_minor: 430300
                      tax_breakdown:
                        - amount:
                            currency: USD
                            amount: '0.00'
                            amount_minor: 0
                          code: Test Tax
                          name: some-tax
                          rate: 10
                          calculator_type: percent
                      discount_breakdown:
                        - amount:
                            currency: USD
                            amount: '0.00'
                            amount_minor: 0
                          code: Test Discount
                          name: some-discount
                          rate: 10
                          calculator_type: percent
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 4b059d56-04bd-3a7c-a523-02c062665378
                    status: draft
                    placed_at: '2025-06-11T16:04:44.0000000+00:00'
                    expires_at: '2026-03-11T14:05:30.0000000+00:00'
                    sub_total:
                      currency: USD
                      amount: '9662.00'
                      amount_minor: 966200
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    tax_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    credits_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '9662.00'
                      amount_minor: 966200
                    remaining_total:
                      currency: USD
                      amount: '9662.00'
                      amount_minor: 966200
                    total_before_tax:
                      currency: USD
                      amount: '9662.00'
                      amount_minor: 966200
                    tax_breakdown:
                      - amount:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        code: Test Tax
                        name: some-tax
                        rate: 10
                        calculator_type: percent
                    discount_breakdown:
                      - amount:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        code: Test Discount
                        name: some-discount
                        rate: 10
                        calculator_type: percent
                  - uuid: 67fa6c6f-4573-3fc7-8230-798493c16b24
                    status: draft
                    placed_at: '2025-11-21T06:30:35.0000000+00:00'
                    expires_at: '2026-03-11T14:05:30.0000000+00:00'
                    sub_total:
                      currency: USD
                      amount: '4303.00'
                      amount_minor: 430300
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    tax_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    credits_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    total:
                      currency: USD
                      amount: '4303.00'
                      amount_minor: 430300
                    remaining_total:
                      currency: USD
                      amount: '4303.00'
                      amount_minor: 430300
                    total_before_tax:
                      currency: USD
                      amount: '4303.00'
                      amount_minor: 430300
                    tax_breakdown:
                      - amount:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        code: Test Tax
                        name: some-tax
                        rate: 10
                        calculator_type: percent
                    discount_breakdown:
                      - amount:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        code: Test Discount
                        name: some-discount
                        rate: 10
                        calculator_type: percent
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````